# Add spending limit

This instruction adds a spending limit at the discretion of the [Config Authority](/main/development/reference/accounts.md#multisig).

## Example

```typescript
import * as multisig from "@sqds/multisig";

// Cluster Connection
const connection = new Connection( < your rpc url > );

// Fee payer is the a signer that pays the transaction fees
const feePayer = Keypair.generate();

// Derive the multisig PDA
const multisigPda = multisig.getMultisigPda({
    // The createKey has to be a Public Key, see accounts reference for more info
    createKey,
})[0];

const spendingLimitCreateKey = Keypair.generate().publicKey;

const spendingLimitPda = multisig.getSpendingLimitPda({
    multisigPda
    createKey: spendingLimitCreateKey,
})[0];

multisig.rpc.multisigAddSpendingLimit({
    connection,
    feePayer,
    // The multisig account Public Key
    multisigPda,
    // The spending limit account Public Key
    spendingLimit: spendingLimitPda,
    createKey: spendingLimitCreateKey,
    // Rent payer for state
    rentPayer: feePayer,
    // Spending limit amount
    amount: BigInt(1000000000),
    configAuthority: null,
    // Spending limit will apply daily, see reference for more info
    period: multisig.generated.Period.Day,
    // The mint of the token to apply the spending limit on
    mint: Keypair.generate().publicKey,
    destinations: [Keypair.generate().publicKey],
    // null means it will apply to all members, make it an array of Public Keys to specify certain members
    members: null,
    vaultIndex: 1,
}),
```

### Notes

* Can only be used with a [Controlled Multisig](/main/development/reference/controlled-multisigs.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.squads.so/main/development/typescript/instructions/controlled-multisig-instructions/add-spending-limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
